Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 997)
+++ palm/trunk/SOURCE/Makefile	(revision 1001)
@@ -4,5 +4,5 @@
 # Current revisions:
 # ------------------
-#
+# -asselin_filter, advec_s|u|v|w_ups, spline_x|y|z
 #
 # Former revisions:
@@ -86,10 +86,8 @@
 PROG =  palm
 
-RCS =   advec_s_bc.f90 advec_s_pw.f90 advec_s_up.f90 \
-	advec_ws.f90 advec_s_ups.f90 advec_u_pw.f90 advec_u_up.f90 \
-	advec_u_ups.f90 advec_v_pw.f90 advec_v_up.f90 advec_v_ups.f90 \
-	advec_w_pw.f90 advec_w_up.f90 advec_w_ups.f90 asselin_filter.f90 \
-	average_3d_data.f90 boundary_conds.f90 buoyancy.f90 \
-	calc_liquid_water_content.f90 calc_precipitation.f90 \
+RCS =   advec_s_bc.f90 advec_s_pw.f90 advec_s_up.f90 advec_ws.f90 \
+	advec_u_pw.f90 advec_u_up.f90 advec_v_pw.f90 advec_v_up.f90 \
+	advec_w_pw.f90 advec_w_up.f90 average_3d_data.f90 boundary_conds.f90 \
+	buoyancy.f90 calc_liquid_water_content.f90 calc_precipitation.f90 \
 	calc_radiation.f90 calc_spectra.f90 check_for_restart.f90 \
 	check_open.f90 check_parameters.f90 close_file.f90 compute_vpt.f90 \
@@ -123,6 +121,6 @@
 	production_e.f90 prognostic_equations.f90 random_function.f90 \
 	random_gauss.f90 read_3d_binary.f90 read_var_list.f90 run_control.f90 \
-	set_slicer_attributes_dvrp.f90 singleton.f90 sor.f90 spline_x.f90 \
-	spline_y.f90 spline_z.f90 subsidence.f90 sum_up_3d_data.f90 \
+	set_slicer_attributes_dvrp.f90 singleton.f90 sor.f90 \
+	subsidence.f90 sum_up_3d_data.f90 \
 	surface_coupler.f90 swap_timelevel.f90 temperton_fft.f90 \
 	time_integration.f90 time_to_string.f90 timestep.f90 \
@@ -141,7 +139,6 @@
 	write_3d_binary.f90 write_compressed.f90 write_var_list.f90
 
-OBJS =  advec_s_bc.o advec_s_pw.o advec_s_up.o advec_s_ups.o advec_u_pw.o \
-	advec_u_up.o advec_u_ups.o advec_ws.o advec_v_pw.o advec_v_up.o \
-	advec_v_ups.o advec_w_pw.o advec_w_up.o advec_w_ups.o asselin_filter.o \
+OBJS =  advec_s_bc.o advec_s_pw.o advec_s_up.o advec_u_pw.o advec_u_up.o \
+	advec_ws.o advec_v_pw.o advec_v_up.o advec_w_pw.o advec_w_up.o \
 	average_3d_data.o boundary_conds.o buoyancy.o \
 	calc_liquid_water_content.o calc_precipitation.o calc_radiation.o \
@@ -173,6 +170,6 @@
 	production_e.o prognostic_equations.o random_function.o random_gauss.o \
 	read_3d_binary.o read_var_list.o run_control.o \
-	set_slicer_attributes_dvrp.o singleton.o sor.o spline_x.o spline_y.o \
-	spline_z.o subsidence.o sum_up_3d_data.o surface_coupler.o \
+	set_slicer_attributes_dvrp.o singleton.o sor.o \
+	subsidence.o sum_up_3d_data.o surface_coupler.o \
 	swap_timelevel.o temperton_fft.o time_integration.o time_to_string.o \
 	timestep.o timestep_scheme_steering.o transpose.o \
@@ -219,16 +216,11 @@
 advec_s_pw.o: modules.o
 advec_s_up.o: modules.o
-advec_s_ups.o: modules.o
 advec_u_pw.o: modules.o
 advec_u_up.o: modules.o
-advec_u_ups.o: modules.o
 advec_v_pw.o: modules.o
 advec_v_up.o: modules.o
-advec_v_ups.o: modules.o
 advec_ws.o: modules.o
 advec_w_pw.o: modules.o
 advec_w_up.o: modules.o
-advec_w_ups.o: modules.o
-asselin_filter.o: modules.o
 average_3d_data.o: modules.o
 boundary_conds.o: modules.o
@@ -340,7 +332,4 @@
 singleton.o: singleton.f90
 sor.o: modules.o
-spline_x.o: modules.o
-spline_y.o: modules.o
-spline_z.o: modules.o
 subsidence.o: modules.o
 sum_up_3d_data.o: modules.o
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 997)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! all actions concerning leapfrog- and upstream-spline-scheme removed
 !
 ! Former revisions:
@@ -12,5 +12,5 @@
 ! 996 2012-09-07 10:41:47Z raasch
 ! little reformatting
-!
+
 ! 978 2012-08-09 08:28:32Z fricke
 ! setting of bc_lr/ns_dirneu/neudir
@@ -492,7 +492,4 @@
        THEN
           WRITE( action, '(A,A)' )  'momentum_advec = ', momentum_advec
-       ENDIF
-       IF ( timestep_scheme(1:8) == 'leapfrog' )  THEN
-          WRITE( action, '(A,A)' )  'timestep_scheme = ', timestep_scheme
        ENDIF
        IF ( psolver == 'sor' )  THEN
@@ -562,10 +559,4 @@
 
        action = ' '
-       IF ( timestep_scheme(1:8) == 'leapfrog' )  THEN
-          WRITE( action, '(A,A)' )  'timestep_scheme = ', timestep_scheme
-       ENDIF
-       IF ( momentum_advec == 'ups-scheme' )  THEN
-          WRITE( action, '(A,A)' )  'momentum_advec = ', momentum_advec
-       ENDIF
        IF ( action /= ' ' )  THEN
           message_string = 'ocean = .T. does not allow ' // TRIM( action )
@@ -653,15 +644,14 @@
     IF ( scalar_advec   == 'ws-scheme'   )  ws_scheme_sca = .TRUE.
     
-    IF ( momentum_advec /= 'pw-scheme' .AND. momentum_advec /= 'ws-scheme' .AND. &
-         momentum_advec /= 'ups-scheme' ) THEN
+    IF ( momentum_advec /= 'pw-scheme'  .AND.  momentum_advec /= 'ws-scheme' ) &
+    THEN
        message_string = 'unknown advection scheme: momentum_advec = "' // &
                         TRIM( momentum_advec ) // '"'
        CALL message( 'check_parameters', 'PA0022', 1, 2, 0, 6, 0 )
     ENDIF
-    IF ((( momentum_advec == 'ups-scheme'  .OR.  scalar_advec == 'ups-scheme' )&
-           .AND.  timestep_scheme /= 'euler' ) .OR. (( momentum_advec == 'ws-scheme'&
-           .OR.  scalar_advec == 'ws-scheme') .AND. (timestep_scheme == 'euler' .OR. &
-           timestep_scheme == 'leapfrog+euler' .OR. timestep_scheme == 'leapfrog'    &
-           .OR. timestep_scheme == 'runge-kutta-2'))) THEN
+    IF ( ( momentum_advec == 'ws-scheme' .OR.  scalar_advec == 'ws-scheme' )   &
+           .AND. ( timestep_scheme == 'euler' .OR.                             &
+                   timestep_scheme == 'runge-kutta-2' ) )                      &
+    THEN
        message_string = 'momentum_advec or scalar_advec = "' &
          // TRIM( momentum_advec ) // '" is not allowed with timestep_scheme = "' // &
@@ -670,5 +660,6 @@
     ENDIF
     IF ( scalar_advec /= 'pw-scheme'  .AND.  scalar_advec /= 'ws-scheme' .AND. &
-        scalar_advec /= 'bc-scheme'  .AND.  scalar_advec /= 'ups-scheme' )  THEN
+         scalar_advec /= 'bc-scheme' )                                         &
+    THEN
        message_string = 'unknown advection scheme: scalar_advec = "' // &
                         TRIM( scalar_advec ) // '"'
@@ -683,10 +674,4 @@
     ENDIF
 
-    IF ( use_upstream_for_tke  .AND.  timestep_scheme(1:8) == 'leapfrog' )  THEN
-       message_string = 'use_upstream_for_tke = .TRUE. not allowed with ' // &
-                        'timestep_scheme = "' // TRIM( timestep_scheme ) // '"'
-       CALL message( 'check_parameters', 'PA0026', 1, 2, 0, 6, 0 )
-    ENDIF
-
     IF ( use_sgs_for_particles  .AND.  curvature_solution_effects )  THEN
        message_string = 'use_sgs_for_particles = .TRUE. not allowed with ' // &
@@ -701,16 +686,10 @@
        CASE ( 'euler' )
           intermediate_timestep_count_max = 1
-          asselin_filter_factor           = 0.0
-
-       CASE ( 'leapfrog', 'leapfrog+euler' )
-          intermediate_timestep_count_max = 1
 
        CASE ( 'runge-kutta-2' )
           intermediate_timestep_count_max = 2
-          asselin_filter_factor           = 0.0
 
        CASE ( 'runge-kutta-3' )
           intermediate_timestep_count_max = 3
-          asselin_filter_factor           = 0.0
 
        CASE DEFAULT
@@ -720,12 +699,4 @@
 
     END SELECT
-
-    IF ( scalar_advec == 'ups-scheme'  .AND.  timestep_scheme(1:5) == 'runge' )&
-    THEN
-       message_string = 'scalar advection scheme "' // TRIM( scalar_advec ) // &
-                        '" & does not work with timestep_scheme "' // &
-                        TRIM( timestep_scheme ) // '"'
-       CALL message( 'check_parameters', 'PA0028', 1, 2, 0, 6, 0 )
-    ENDIF
 
     IF ( (momentum_advec /= 'pw-scheme' .AND. momentum_advec /= 'ws-scheme') &
@@ -831,19 +802,8 @@
     ENDIF
 
-    IF ( humidity  .AND.  scalar_advec == 'ups-scheme' )  THEN
-       message_string = 'UPS-scheme is not implemented for humidity = .TRUE.'
-       CALL message( 'check_parameters', 'PA0037', 1, 2, 0, 6, 0 )
-    ENDIF
-
     IF ( passive_scalar  .AND.  humidity )  THEN
        message_string = 'humidity = .TRUE. and passive_scalar = .TRUE. ' // &
                         'is not allowed simultaneously'
        CALL message( 'check_parameters', 'PA0038', 1, 2, 0, 6, 0 )
-    ENDIF
-
-    IF ( passive_scalar  .AND.  scalar_advec == 'ups-scheme' )  THEN
-       message_string = 'UPS-scheme is not implemented for passive_scalar' // &
-                        ' = .TRUE.'
-       CALL message( 'check_parameters', 'PA0039', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1319,15 +1279,10 @@
     IF ( cfl_factor <= 0.0  .OR.  cfl_factor > 1.0 )  THEN
        IF ( cfl_factor == -1.0 )  THEN
-          IF ( momentum_advec == 'ups-scheme'  .OR.  &
-               scalar_advec == 'ups-scheme' )  THEN
+          IF ( timestep_scheme == 'runge-kutta-2' )  THEN
              cfl_factor = 0.8
+          ELSEIF ( timestep_scheme == 'runge-kutta-3' )  THEN
+             cfl_factor = 0.9
           ELSE
-             IF ( timestep_scheme == 'runge-kutta-2' )  THEN
-                cfl_factor = 0.8
-             ELSEIF ( timestep_scheme == 'runge-kutta-3' )  THEN
-                cfl_factor = 0.9
-             ELSE
-                cfl_factor = 0.1
-             ENDIF
+             cfl_factor = 0.9
           ENDIF
        ELSE
@@ -1717,9 +1672,5 @@
 !-- Compute and check, respectively, the Rayleigh Damping parameter
     IF ( rayleigh_damping_factor == -1.0 )  THEN
-       IF ( momentum_advec == 'ups-scheme' )  THEN
-          rayleigh_damping_factor = 0.01
-       ELSE
-          rayleigh_damping_factor = 0.0
-       ENDIF
+       rayleigh_damping_factor = 0.0
     ELSE
        IF ( rayleigh_damping_factor < 0.0 .OR. rayleigh_damping_factor > 1.0 ) &
@@ -1753,18 +1704,4 @@
           ENDIF
        ENDIF
-    ENDIF
-
-!
-!-- Check limiters for Upstream-Spline scheme
-    IF ( overshoot_limit_u < 0.0  .OR.  overshoot_limit_v < 0.0  .OR.  &
-         overshoot_limit_w < 0.0  .OR.  overshoot_limit_pt < 0.0  .OR. &
-         overshoot_limit_e < 0.0 )  THEN
-       message_string = 'overshoot_limit_... < 0.0 is not allowed'
-       CALL message( 'check_parameters', 'PA0080', 1, 2, 0, 6, 0 )
-    ENDIF
-    IF ( ups_limit_u < 0.0 .OR. ups_limit_v < 0.0 .OR. ups_limit_w < 0.0 .OR. &
-         ups_limit_pt < 0.0 .OR. ups_limit_e < 0.0 )  THEN
-       message_string = 'ups_limit_... < 0.0 is not allowed'
-       CALL message( 'check_parameters', 'PA0081', 1, 2, 0, 6, 0 )
     ENDIF
 
Index: palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_e.f90	(revision 997)
+++ palm/trunk/SOURCE/diffusion_e.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! most arrays comunicated by module instead of parameter list
 !
 ! Former revisions:
@@ -64,7 +64,7 @@
 ! Call for all grid points
 !------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_e( ddzu, dd2zu, ddzw, diss, e, km, l_grid, var, &
-                            var_reference, rif, tend, zu, zw )
-
+    SUBROUTINE diffusion_e( var, var_reference )
+
+       USE arrays_3d
        USE control_parameters
        USE grid_variables
@@ -75,10 +75,7 @@
 
        INTEGER ::  i, j, k
-       REAL            ::  dvar_dz, l_stable, phi_m, var_reference
-       REAL            ::  ddzu(1:nzt+1), dd2zu(1:nzt), ddzw(1:nzt+1), &
-                           l_grid(1:nzt), zu(nzb:nzt+1), zw(nzb:nzt+1)
-       REAL, DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) :: diss, tend
-       REAL, DIMENSION(:,:), POINTER   ::  rif
-       REAL, DIMENSION(:,:,:), POINTER ::  e, km, var
+       REAL    ::  dvar_dz, l_stable, phi_m, var_reference
+
+       REAL, DIMENSION(:,:,:), POINTER ::  var
        REAL, DIMENSION(nzb+1:nzt,nys:nyn) ::  dissipation, l, ll
  
@@ -285,7 +282,7 @@
 ! Call for grid point i,j
 !------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_e_ij( i, j, ddzu, dd2zu, ddzw, diss, e, km, l_grid, &
-                               var, var_reference, rif, tend, zu, zw )
-
+    SUBROUTINE diffusion_e_ij( i, j, var, var_reference )
+
+       USE arrays_3d
        USE control_parameters
        USE grid_variables
@@ -295,12 +292,9 @@
        IMPLICIT NONE
 
-       INTEGER         ::  i, j, k
-       REAL            ::  dvar_dz, l_stable, phi_m, var_reference
-       REAL            ::  ddzu(1:nzt+1), dd2zu(1:nzt), ddzw(1:nzt+1), &
-                           l_grid(1:nzt), zu(nzb:nzt+1), zw(nzb:nzt+1)
-       REAL, DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) :: diss, tend
-       REAL, DIMENSION(:,:), POINTER   ::  rif
-       REAL, DIMENSION(:,:,:), POINTER ::  e, km, var
-       REAL, DIMENSION(nzb+1:nzt)    ::  dissipation, l, ll
+       INTEGER ::  i, j, k
+       REAL    ::  dvar_dz, l_stable, phi_m, var_reference
+
+       REAL, DIMENSION(:,:,:), POINTER ::  var
+       REAL, DIMENSION(nzb+1:nzt) ::  dissipation, l, ll
 
 
Index: palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_s.f90	(revision 997)
+++ palm/trunk/SOURCE/diffusion_s.f90	(revision 1001)
@@ -3,5 +3,6 @@
 !------------------------------------------------------------------------------!
 ! Current revisions:
-! -----------------
+! ------------------
+! some arrays comunicated by module instead of parameter list
 !
 ! Former revisions:
@@ -54,7 +55,7 @@
 ! Call for all grid points
 !------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_s( ddzu, ddzw, kh, s, s_flux_b, s_flux_t, &
-                            wall_s_flux, tend )
-
+    SUBROUTINE diffusion_s( s, s_flux_b, s_flux_t, wall_s_flux )
+
+       USE arrays_3d
        USE control_parameters
        USE grid_variables
@@ -65,9 +66,7 @@
        INTEGER ::  i, j, k
        REAL    ::  vertical_gridspace
-       REAL    ::  ddzu(1:nzt+1), ddzw(1:nzt+1)
-       REAL    ::  tend(nzb:nzt+1,nysg:nyng,nxlg:nxrg)
        REAL    ::  wall_s_flux(0:4)
-       REAL, DIMENSION(:,:),   POINTER ::  s_flux_b, s_flux_t
-       REAL, DIMENSION(:,:,:), POINTER ::  kh, s
+       REAL, DIMENSION(nysg:nyng,nxlg:nxrg) ::  s_flux_b, s_flux_t
+       REAL, DIMENSION(:,:,:), POINTER ::  s
 
        DO  i = nxl, nxr
@@ -166,7 +165,7 @@
 ! Call for grid point i,j
 !------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_s_ij( i, j, ddzu, ddzw, kh, s, s_flux_b, s_flux_t, &
-                               wall_s_flux, tend )
-
+    SUBROUTINE diffusion_s_ij( i, j, s, s_flux_b, s_flux_t, wall_s_flux )
+
+       USE arrays_3d
        USE control_parameters
        USE grid_variables
@@ -177,9 +176,7 @@
        INTEGER ::  i, j, k
        REAL    ::  vertical_gridspace
-       REAL    ::  ddzu(1:nzt+1), ddzw(1:nzt+1)
-       REAL    ::  tend(nzb:nzt+1,nysg:nyng,nxlg:nxrg)
        REAL    ::  wall_s_flux(0:4)
-       REAL, DIMENSION(:,:),   POINTER ::  s_flux_b, s_flux_t
-       REAL, DIMENSION(:,:,:), POINTER ::  kh, s
+       REAL, DIMENSION(nysg:nyng,nxlg:nxrg) ::  s_flux_b, s_flux_t
+       REAL, DIMENSION(:,:,:), POINTER ::  s
 
 !
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 997)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! arrays comunicated by module instead of parameter list
 !
 ! Former revisions:
@@ -68,6 +68,7 @@
 ! Call for all grid points
 !------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_u( ddzu, ddzw, km, tend, u, usws, uswst, v, w )
-
+    SUBROUTINE diffusion_u
+
+       USE arrays_3d
        USE control_parameters
        USE grid_variables
@@ -78,8 +79,5 @@
        INTEGER ::  i, j, k
        REAL    ::  kmym, kmyp, kmzm, kmzp
-       REAL    ::  ddzu(1:nzt+1), ddzw(1:nzt+1)
-       REAL    ::  tend(nzb:nzt+1,nysg:nyng,nxlg:nxrg)
-       REAL, DIMENSION(:,:),   POINTER ::  usws, uswst
-       REAL, DIMENSION(:,:,:), POINTER ::  km, u, v, w
+
        REAL, DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  usvs
 
@@ -93,5 +91,5 @@
 
        DO  i = nxlu, nxr
-          DO  j = nys,nyn
+          DO  j = nys, nyn
 !
 !--          Compute horizontal diffusion
@@ -221,7 +219,7 @@
 ! Call for grid point i,j
 !------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_u_ij( i, j, ddzu, ddzw, km, tend, u, usws, &
-                               uswst, v, w )
-
+    SUBROUTINE diffusion_u_ij( i, j )
+
+       USE arrays_3d
        USE control_parameters
        USE grid_variables
@@ -232,9 +230,6 @@
        INTEGER ::  i, j, k
        REAL    ::  kmym, kmyp, kmzm, kmzp
-       REAL    ::  ddzu(1:nzt+1), ddzw(1:nzt+1)
-       REAL    ::  tend(nzb:nzt+1,nysg:nyng,nxlg:nxrg)
-       REAL, DIMENSION(nzb:nzt+1)      ::  usvs
-       REAL, DIMENSION(:,:),   POINTER ::  usws, uswst
-       REAL, DIMENSION(:,:,:), POINTER ::  km, u, v, w
+
+       REAL, DIMENSION(nzb:nzt+1) ::  usvs
 
 !
Index: palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_v.f90	(revision 997)
+++ palm/trunk/SOURCE/diffusion_v.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! arrays comunicated by module instead of parameter list
 !
 ! Former revisions:
@@ -66,6 +66,7 @@
 ! Call for all grid points
 !------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_v( ddzu, ddzw, km, tend, u, v, vsws, vswst, w )
-
+    SUBROUTINE diffusion_v
+
+       USE arrays_3d
        USE control_parameters
        USE grid_variables
@@ -76,8 +77,5 @@
        INTEGER ::  i, j, k
        REAL    ::  kmxm, kmxp, kmzm, kmzp
-       REAL    ::  ddzu(1:nzt+1), ddzw(1:nzt+1)
-       REAL    ::  tend(nzb:nzt+1,nysg:nyng,nxlg:nxrg)
-       REAL, DIMENSION(:,:),   POINTER ::  vsws, vswst
-       REAL, DIMENSION(:,:,:), POINTER ::  km, u, v, w
+
        REAL, DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  vsus
 
@@ -219,7 +217,7 @@
 ! Call for grid point i,j
 !------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_v_ij( i, j, ddzu, ddzw, km, tend, u, v, &
-                               vsws, vswst, w )
-
+    SUBROUTINE diffusion_v_ij( i, j )
+
+       USE arrays_3d
        USE control_parameters
        USE grid_variables
@@ -230,9 +228,6 @@
        INTEGER ::  i, j, k
        REAL    ::  kmxm, kmxp, kmzm, kmzp
-       REAL    ::  ddzu(1:nzt+1), ddzw(1:nzt+1)
-       REAL    ::  tend(nzb:nzt+1,nysg:nyng,nxlg:nxrg)
-       REAL, DIMENSION(nzb:nzt+1)      ::  vsus
-       REAL, DIMENSION(:,:),   POINTER ::  vsws, vswst
-       REAL, DIMENSION(:,:,:), POINTER ::  km, u, v, w
+
+       REAL, DIMENSION(nzb:nzt+1) ::  vsus
 
 !
Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 997)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! arrays comunicated by module instead of parameter list
 !
 ! Former revisions:
@@ -60,6 +60,7 @@
 ! Call for all grid points
 !------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_w( ddzu, ddzw, km, tend, u, v, w )
-
+    SUBROUTINE diffusion_w
+
+       USE arrays_3d
        USE control_parameters
        USE grid_variables
@@ -70,7 +71,5 @@
        INTEGER ::  i, j, k
        REAL    ::  kmxm, kmxp, kmym, kmyp
-       REAL    ::  ddzu(1:nzt+1), ddzw(1:nzt+1)
-       REAL    ::  tend(nzb:nzt+1,nysg:nyng,nxlg:nxrg)
-       REAL, DIMENSION(:,:,:), POINTER ::  km, u, v, w
+
        REAL, DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  wsus, wsvs
 
@@ -170,6 +169,7 @@
 ! Call for grid point i,j
 !------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_w_ij( i, j, ddzu, ddzw, km, tend, u, v, w )
-
+    SUBROUTINE diffusion_w_ij( i, j )
+
+       USE arrays_3d
        USE control_parameters
        USE grid_variables
@@ -180,8 +180,6 @@
        INTEGER ::  i, j, k
        REAL    ::  kmxm, kmxp, kmym, kmyp
-       REAL    ::  ddzu(1:nzt+1), ddzw(1:nzt+1)
-       REAL    ::  tend(nzb:nzt+1,nysg:nyng,nxlg:nxrg)
-       REAL, DIMENSION(nzb:nzt+1)      ::  wsus, wsvs
-       REAL, DIMENSION(:,:,:), POINTER ::  km, u, v, w
+
+       REAL, DIMENSION(nzb:nzt+1) ::  wsus, wsvs
 
 
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 997)
+++ palm/trunk/SOURCE/header.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! all actions concerning leapfrog- and upstream-spline-scheme removed
 !
 ! Former revisions:
@@ -296,18 +296,4 @@
     ELSEIF (momentum_advec == 'ws-scheme' ) THEN
        WRITE ( io, 503 )
-    ELSEIF (momentum_advec == 'ups-scheme' ) THEN
-       WRITE ( io, 114 )
-       IF ( cut_spline_overshoot )  WRITE ( io, 124 )
-       IF ( overshoot_limit_u /= 0.0  .OR.  overshoot_limit_v /= 0.0  .OR. &
-            overshoot_limit_w /= 0.0 )  THEN
-          WRITE ( io, 127 )  overshoot_limit_u, overshoot_limit_v, &
-                             overshoot_limit_w
-       ENDIF
-       IF ( ups_limit_u /= 0.0  .OR.  ups_limit_v /= 0.0  .OR. &
-            ups_limit_w /= 0.0 )                               &
-       THEN
-          WRITE ( io, 125 )  ups_limit_u, ups_limit_v, ups_limit_w
-       ENDIF
-       IF ( long_filter_factor /= 0.0 )  WRITE ( io, 115 )  long_filter_factor
     ENDIF
     IF ( scalar_advec == 'pw-scheme' )  THEN
@@ -315,13 +301,4 @@
     ELSEIF ( scalar_advec == 'ws-scheme' )  THEN
        WRITE ( io, 504 )
-    ELSEIF ( scalar_advec == 'ups-scheme' )  THEN
-       WRITE ( io, 117 )
-       IF ( cut_spline_overshoot )  WRITE ( io, 124 )
-       IF ( overshoot_limit_e /= 0.0  .OR.  overshoot_limit_pt /= 0.0 )  THEN
-          WRITE ( io, 128 )  overshoot_limit_e, overshoot_limit_pt
-       ENDIF
-       IF ( ups_limit_e /= 0.0  .OR.  ups_limit_pt /= 0.0 )  THEN
-          WRITE ( io, 126 )  ups_limit_e, ups_limit_pt
-       ENDIF
     ELSE
        WRITE ( io, 118 )
@@ -344,11 +321,5 @@
                           advected_distance_x/1000.0, advected_distance_y/1000.0
     ENDIF
-    IF ( timestep_scheme == 'leapfrog' )  THEN
-       WRITE ( io, 120 )
-    ELSEIF ( timestep_scheme == 'leapfrog+euler' )  THEN
-       WRITE ( io, 121 )
-    ELSE
-       WRITE ( io, 122 )  timestep_scheme
-    ENDIF
+    WRITE ( io, 122 )  timestep_scheme
     IF ( use_upstream_for_tke )  WRITE ( io, 143 )
     IF ( rayleigh_damping_factor /= 0.0 )  THEN
@@ -1646,31 +1617,13 @@
 113 FORMAT (' --> Momentum advection via Piascek-Williams-Scheme (Form C3)', &
                   ' or Upstream')
-114 FORMAT (' --> Momentum advection via Upstream-Spline-Scheme')
-115 FORMAT ('     Tendencies are smoothed via Long-Filter with factor ',F5.3) 
 116 FORMAT (' --> Scalar advection via Piascek-Williams-Scheme (Form C3)', &
                   ' or Upstream')
-117 FORMAT (' --> Scalar advection via Upstream-Spline-Scheme')
 118 FORMAT (' --> Scalar advection via Bott-Chlond-Scheme')
 119 FORMAT (' --> Galilei-Transform applied to horizontal advection', &
             '     Translation velocity = ',A/ &
             '     distance advected ',A,':  ',F8.3,' km(x)  ',F8.3,' km(y)')
-120 FORMAT (' --> Time differencing scheme: leapfrog only (no euler in case', &
-                  ' of timestep changes)')
-121 FORMAT (' --> Time differencing scheme: leapfrog + euler in case of', &
-                  ' timestep changes')
 122 FORMAT (' --> Time differencing scheme: ',A)
 123 FORMAT (' --> Rayleigh-Damping active, starts ',A,' z = ',F8.2,' m'/ &
             '     maximum damping coefficient: ',F5.3, ' 1/s')
-124 FORMAT ('     Spline-overshoots are being suppressed')
-125 FORMAT ('     Upstream-Scheme is used if Upstream-differences fall short', &
-                  ' of'/                                                       &
-            '     delta_u = ',F6.4,4X,'delta_v = ',F6.4,4X,'delta_w = ',F6.4)
-126 FORMAT ('     Upstream-Scheme is used if Upstream-differences fall short', &
-                  ' of'/                                                       &
-            '     delta_e = ',F6.4,4X,'delta_pt = ',F6.4)
-127 FORMAT ('     The following absolute overshoot differences are tolerated:'/&
-            '     delta_u = ',F6.4,4X,'delta_v = ',F6.4,4X,'delta_w = ',F6.4)
-128 FORMAT ('     The following absolute overshoot differences are tolerated:'/&
-            '     delta_e = ',F6.4,4X,'delta_pt = ',F6.4)
 129 FORMAT (' --> Additional prognostic equation for the specific humidity')
 130 FORMAT (' --> Additional prognostic equation for the total water content')
